Bug 410201 - can't choose file from CA Certificate file chooser
can't choose file from CA Certificate file chooser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 06:52 EST by Joel Uckelman
Modified: 2008-01-06 20:18 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.7.0-0.6.6.svn3138.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:18:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2007-12-04 06:52:46 EST
Description of problem:

Only directories---no regular files---show up in the file chooser which is shown
for selection of CA Certificates. It is possible to type in the filename of the
CA Certificate, but that's annoying and this worked in previous versions of
NetworkManager.

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.6.6.svn3109.fc8

How reproducible:

Always.

Steps to Reproduce:

1. Have NetworkManager running in the presence of a wireless network which
requires authentication.
2. Select "Dynamic WEP (802.1x)" for Wireless Security.
3. Click on the button for selecting the CA Certificate.
4. Notice that in the "Chooses a Certificate Authority certificate..." file
chooser which is displayed, that no regular files appear, even in directories
which contain regular files.

Actual results:

No files appear. I'm forced to type in the file name (which I can't see!) into
the Location field myself.

Expected results:

There should be files I can select from within the file chooser.

Additional info:

The file filter combo box in the lower right corner of the file chooser shows
"Untitled filter", and there are no other options given. Therefore, I suspect
that the problem is caused by using a bad file filter.
Comment 1 Dan Williams 2007-12-04 09:47:39 EST
Your certificates need to be PEM or DER formatted certificates and must have the
extension .der or .pem.  The problem is that pkcs12 certs aren't yet supported
(they are easily converted iwth openssl to pem format) but they are hard to
distinguish from DER certs based on content.  Can you check to see if you rename
your cert file and ensure that it is DER or PEM format that it works for you? 
Thanks...
Comment 2 Joel Uckelman 2007-12-04 10:25:13 EST
Aha. That was the problem. My certificate was already PEM, but I had it
misnamed. Might I suggest that the file filter in the chooser indicate  that
it's only displaying *.(der|pem)? If it did, then this wouldn't have been so
confusing.
Comment 3 Dan Williams 2007-12-05 14:25:26 EST
Can you try http://koji.fedoraproject.org/koji/taskinfo?taskID=276538 ?  It
should have the filter displayed.
Comment 4 Joel Uckelman 2007-12-06 06:15:18 EST
Yes, the svn3138 build solves the problem. Thanks!
Comment 5 Fedora Update System 2007-12-07 16:34:25 EST
NetworkManager-0.7.0-0.6.6.svn3138.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'
Comment 6 Fedora Update System 2008-01-06 20:18:32 EST
NetworkManager-0.7.0-0.6.6.svn3138.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.